
import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class LoginDialog extends Dialog implements ActionListener {

    private Properties prop;
    private Label idLabel;
    private TextField idTextField;
    private Label pwLabel;
    private TextField pwTextField;
    private Button loginButton;
    private Button cancelButton;
    
    /**
     *
     */
    public LoginDialog(Frame parent) {
	super(parent, true);

	setTitle("JDBCTerminal: Login");
	GridBagLayout gbl = new GridBagLayout();
	gbl.columnWidths = new int[] {14,14,14,14};
	gbl.rowHeights =  new int[] {14,14,14,14,14,14,14,14,14};
	gbl.columnWeights = new double[] {0.0,0.0,0.0,0.0};
	gbl.rowWeights = new double[] {0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0,0.0};
	setLayout(gbl);
	GridBagConstraints gbc = new GridBagConstraints();

	// idLabel
	idLabel = new Label("login ID:");
	gbc.gridx = 1;
	gbc.gridy = 1;
	gbc.gridwidth = 2;
	gbc.anchor = GridBagConstraints.WEST;
	gbl.setConstraints(idLabel, gbc);
	add(idLabel);

	// idTextField
	idTextField = new TextField(15);
	gbc.gridy = 2;
	gbl.setConstraints(idTextField, gbc);
	add(idTextField);

	// pwLabel
	pwLabel = new Label("Password:");
	gbc.gridy = 4;
	gbl.setConstraints(pwLabel, gbc);
	add(pwLabel);

	// pwTextField
	pwTextField = new TextField(15);
	pwTextField.setEchoChar('*');
	gbc.gridy = 5;
	gbl.setConstraints(pwTextField, gbc);
	add(pwTextField);

	// loginButton
	loginButton = new Button("Login");
	gbc.gridy = 7;
	gbc.gridwidth = 1;
	gbc.anchor = GridBagConstraints.CENTER;
	gbl.setConstraints(loginButton, gbc);
	add(loginButton);
	loginButton.addActionListener(this);

	// cancelButton
	cancelButton = new Button("Cancel");
	gbc.gridx = 2;
	gbl.setConstraints(cancelButton, gbc);
	add(cancelButton);
	cancelButton.addActionListener(this);
	pack();

    }

    /**
     * OCE_CAÕANVECxgEnh
     * OC(OCƃpX[h̑g)vpeB
     * Ƃč쐬B
     */
    public void actionPerformed(ActionEvent ev) {
	if (ev.getSource() == loginButton){
	    if (prop == null)
		prop = new Properties();
	    prop.put("user", idTextField.getText());
	    prop.put("password", pwTextField.getText());
	}
	setVisible(false);
    }

    /**
     * OCi[vpeBԂB
     * @return OCvpeB
     */
    public Properties getProp() {
	return prop;
    }
}
