/*
 * Copyright (c) 1996 Nihon Sun Microsystems K.K.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.awt.event.*;
import java.sql.*;

/**
 * hCoo^_CAÕANVEXi
 * @version	%I% %E%
 * @author 	Yuichi Omata, Nihon Sun Microsystems K.K.
 */
public class AddDriverDialogCommand implements ActionListener {
    static final int OdbcBridge = 0;
    static final int Weblogic = 1;
    static final int Symantec = 2;
    static final int Register = 3;
    static final int Cancel = 4;

    int id;
    AddDriverDialog module;
    AddDriverDialogGUI gui;

    public AddDriverDialogCommand(int id, AddDriverDialog module) {
        this.id = id;
        this.module = module;
    }

    /**
     * hCoo^_CAÕ{^ꂽꍇ̃ANVsB
     */
    public void actionPerformed(ActionEvent ev) {
        gui = module.getGUI();
	switch (id) {
	case OdbcBridge: // ODBC ubW̃hCohCotB[hɕ\
	    gui.driverNameTextField.setText("sun.jdbc.odbc.JdbcOdbcDriver");
	    break;
	case Weblogic: // Weblogic̃hCohCotB[hɕ\
	    gui.driverNameTextField.setText("weblogic.jdbc.dblib.Driver");
	    break;
	case Symantec: // Symantec̃hCohCotB[hɕ\
	    gui.driverNameTextField.setText("symantec.itools.db.jdbc.Driver");
	    break;
	case Register: // hCoŎw肳ꂽhCo̓o^s
            module.registerDriver(gui.driverNameTextField.getText());
            gui.setVisible(false);	    
	    break;
	case Cancel: // _CAOB
	    gui.setVisible(false);
	    break;
	}
    }
}
