/*
 * Copyright (c) 1996 Nihon Sun Microsystems K.K.
 *
 * Permission to use, copy, and distribute this software for
 * NON-COMMERCIAL purposes and without fee is hereby granted
 * provided that this copyright notice appears in all copies.
 *
 */

import java.io.*;
import java.sql.*;
import COM.Sun.Japan.yjs.mwt.*;

/**
 * JDBCTerminal OEt[EW[
 * @version	%I% %E%
 * @author 	Yuichi Omata, Nihon Sun Microsystems K.K.
 */
public class LogFrame {

    LogFrameGUI gui;
    PrintStream logStream;

    public LogFrame(){
	gui = new LogFrameGUI();
        try {
            logStream = gui.logArea.getLogStream();
	} catch (IOException ex) {
            new MessageDialog("LogStream can not be obtained.", gui);
        }
    }

    public void setVisible(boolean b){
	gui.setVisible(b);
    }

    public PrintStream getLogStream() {
        return logStream;
    }
}
